# Class DefaultCrashReporter

java.lang.Object
com.codename1.system.DefaultCrashReporter

All Implemented Interfaces:
  `CrashReport`

public final class DefaultCrashReporter extends java.lang.Object implements CrashReport
A default implementation of the crash reporter that instantly sends the crash data to the server.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `exception(Throwable t)`
  Callback for an exception that was not handled by the developer
  `static String`
  `getCheckboxText()`
  The text for the user prompt dialog
  `static String`
  `getDontSendButtonText()`
  The text for the user prompt dialog
  `static String`
  `getErrorText()`
  The text for the user prompt dialog
  `static String`
  `getSendButtonText()`
  The text for the user prompt dialog
  `static void`
  `init(boolean promptUser, int frequency)`
  Installs a crash reporter within the system
  `static void`
  `setCheckboxText(String aCheckboxText)`
  The text for the user prompt dialog
  `static void`
  `setDontSendButtonText(String aDontSendButtonText)`
  The text for the user prompt dialog
  `static void`
  `setErrorText(String aErrorText)`
  The text for the user prompt dialog
  `static void`
  `setSendButtonText(String aSendButtonText)`
  The text for the user prompt dialog

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getErrorText

    public static String getErrorText()

    The text for the user prompt dialog

    ###### Returns

    the errorText

  - ### setErrorText

    public static void setErrorText(String aErrorText)

    The text for the user prompt dialog

    ###### Parameters

    - `aErrorText`: the errorText to set

  - ### getSendButtonText

    public static String getSendButtonText()

    The text for the user prompt dialog

    ###### Returns

    the sendButtonText

  - ### setSendButtonText

    public static void setSendButtonText(String aSendButtonText)

    The text for the user prompt dialog

    ###### Parameters

    - `aSendButtonText`: the sendButtonText to set

  - ### getDontSendButtonText

    public static String getDontSendButtonText()

    The text for the user prompt dialog

    ###### Returns

    the dontSendButtonText

  - ### setDontSendButtonText

    public static void setDontSendButtonText(String aDontSendButtonText)

    The text for the user prompt dialog

    ###### Parameters

    - `aDontSendButtonText`: the dontSendButtonText to set

  - ### getCheckboxText

    public static String getCheckboxText()

    The text for the user prompt dialog

    ###### Returns

    the checkboxText

  - ### setCheckboxText

    public static void setCheckboxText(String aCheckboxText)

    The text for the user prompt dialog

    ###### Parameters

    - `aCheckboxText`: the checkboxText to set

  - ### init

    public static void init(boolean promptUser, int frequency)

    Installs a crash reporter within the system

    ###### Parameters

    - `promptUser`: indicates whether the user should be prompted on crash reporting

    - `frequency`: @param frequency the frequency with which we send the log to the server in debug mode in minutes frequency must be at least 1. Any lower level automatically disables this feature

  - ### exception

    public void exception(Throwable t)

    Callback for an exception that was not handled by the developer

    ###### Parameters

    - `t`: the exception
    Specified by:
      `exception` in interface `CrashReport`